Summary:	Library to support cross-platform AES encryption
Summary(pl.UTF-8):	Biblioteka obsługująca wieloplatformowe szyfrowanie AES
Name:		libcaes
Version:	20150104
Release:	3
License:	LGPL v3+
Group:		Libraries
Source0:	https://github.com/libyal/libcaes/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f8b82a86009fb49f89ed235db66f5e81
Patch0:		%{name}-system-libs.patch
URL:		https://github.com/libyal/libcaes/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.6
BuildRequires:	gettext-tools >= 0.18.1
BuildRequires:	libcerror-devel >= 20120425
BuildRequires:	libcstring-devel >= 20120425
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	libcerror >= 20120425
Requires:	libcstring >= 20120425
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcaes is a library to support cross-platform AES encryption.

%description -l pl.UTF-8
libcaes to biblioteka obsługująca wieloplatformowe szyfrowanie AES.

%package devel
Summary:	Header files for libcaes library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcaes
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcerror-devel >= 20120425
Requires:	libcstring-devel >= 20120425

%description devel
Header files for libcaes library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcaes.

%package static
Summary:	Static libcaes library
Summary(pl.UTF-8):	Statyczna biblioteka libcaes
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcaes library.

%description static -l pl.UTF-8
Statyczna biblioteka libcaes.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__sed} -i -e 's/ po\/Makefile.in//' configure.ac
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcaes.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libcaes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcaes.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcaes.so
%{_includedir}/libcaes
%{_includedir}/libcaes.h
%{_pkgconfigdir}/libcaes.pc
%{_mandir}/man3/libcaes.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcaes.a
%changelog
* Fri Sep 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcaes.git;a=log;h=master

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d43a0af
- release 3 (by relup.sh)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 8b97e32
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 23 2015 Jakub Bogusz <qboosh@pld-linux.org> df1d707
- new

